# CVSROOT=':ext:user@devserv.devel.redhat.com:/home/devel/CVS'
Summary:	A utility for removing files based on when they were last accessed
Name:		tmpwatch
Version:	2.9.7
Release:	%mkrel 1
Group:		File tools
License:	GPL
URL:		ftp://ftp.redhat.com/pub/redhat/linux/rawhide/SRPMS/SRPMS/
Source0:	%{name}-%{version}.tar.gz
Requires:	psmisc
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The tmpwatch utility recursively searches through specified
directories and removes files which have not been accessed in a
specified period of time.  Tmpwatch is normally used to clean up
directories which are used for temporarily holding files (for example,
/tmp).  Tmpwatch ignores symlinks, won't switch filesystems and only
removes empty directories and regular files.

%prep
%setup -q

%build
%make RPM_OPT_FLAGS="%{optflags}"

%install
rm -rf %{buildroot}

%makeinstall ROOT=%{buildroot} MANDIR=%{_mandir} SBINDIR=%{_sbindir}

install -d %{buildroot}%{_sysconfdir}/cron.daily
install -d %{buildroot}%{_sysconfdir}/sysconfig

cat > tmpwatch.cron << EOF
#!/bin/sh

[ -f %{_sysconfdir}/sysconfig/tmpwatch ] && . %{_sysconfdir}/sysconfig/tmpwatch

%{_sbindir}/tmpwatch \$TMPWATCH_EXCLUDES 240 /tmp /var/tmp

[ -f %{_sysconfdir}/sysconfig/i18n ] && . %{_sysconfdir}/sysconfig/i18n
if [ -d %{_mandir}/\$LANG/ ] && [ -d /var/catman/\$LANG/ ]; then
	%{_sbindir}/tmpwatch -f 240 /var/catman/{X11R6/cat?,cat?,local/cat?,\$LANG/cat?}
else
	%{_sbindir}/tmpwatch -f 240 /var/catman/{X11R6/cat?,cat?,local/cat?}
fi
EOF

cat > tmpwatch.sysconfig << EOF
# (oe) define files/directories/sockets tmpwatch should ignore (#18488)
TMPWATCH_EXCLUDES="-x /tmp/.ICE-unix -x /tmp/.X*-unix -x /tmp/.font-unix -x /tmp/.Test-unix"
EOF

install -m0755 tmpwatch.cron %{buildroot}%{_sysconfdir}/cron.daily/tmpwatch
install -m0644 tmpwatch.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/tmpwatch

cat > README.urpmi << EOF
The %{_sysconfdir}/cron.daily/tmpwatch script has been changed to use the %{_sysconfdir}/sysconfig/tmpwatch 
file to exclude certain files/directories/sockets from being processed. It should be safe to make your changes
there instead. Per default these are not touched by tmpwatch:

/tmp/.ICE-unix /tmp/.X*-unix /tmp/.font-unix /tmp/.Test-unix 
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README.urpmi
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/tmpwatch
%attr(0755,root,root) %{_sysconfdir}/cron.daily/tmpwatch
%{_sbindir}/tmpwatch
%{_mandir}/man8/tmpwatch.8*

%changelog
* Thu Jun 29 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.9.7-1mdv2007.0
- 2.9.7
- fix executable-marked-as-config-file
- fix macro-in-%%changelog
- fix mixed-use-of-spaces-and-tabs

* Sat Dec 31 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.9.6-1mdk
- 2.9.6
- happy new year!:)

* Sat Nov 05 2005 Oden Eriksson <oeriksson@mandriva.com> 2.9.4-2mdk
- added the %%{_sysconfdir}/sysconfig/tmpwatch file in an attempt to 
  fix #18488 (tmpwatch breaks graphical login after 10 days uptime)

* Sat Jul 09 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.9.4-1mdk
- 2.9.4
- %%mkrel

* Mon Jan 10 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.9.2-1mdk
- 2.9.2
- wipe out buildroot at the beginning of %%install
- fix summary-ended-with-dot

* Fri Nov 12 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.9.1-1mdk
- 2.9.1
- cosmetics

* Wed Jul 02 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.9.0-1mdk
- new release

* Thu Jan 23 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.8.4-1mdk
- new release
- add cvs "url" too

* Fri Nov  2 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.8-1mdk
- new version
- add URL tag

* Thu Mar 15 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.7-1mdk
- 2.7 (allows concurrent usage of mtime, ctime, and atime checking).

* Sat Oct  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.6.2-1mdk
- Requires: psmisc.
- 2.6.2 security fixes.

* Wed Sep 20 2000 Francis Galiegue <fg@mandrakesoft.com> 2.0-16mdk
- /etc/cron.daily/tmpwatch is %%config(noreplace)

* Fri Jul 28 2000 Francis Galiegue <fg@mandrakesoft.com> 2.0-15mdk
- More macros
- Spec file cleanup

* Thu Jul 20 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0-14mdk
- BM

* Sun Apr 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0-13mdk
- check if /var/catman/$LANG is here before running it.

* Wed Apr 05 2000 John Buswell <johnb@mandrakesoft.com> 2.0-12mdk
- fix vendor tag

* Thu Mar 30 2000 John Buswell <johnb@mandrakesoft.com> 2.0-11mdk
- Fixed groups
- spec-helper

* Wed Dec 15 1999 Yoann Vandoorselaere <yoann@mandrakesoft.com>
- s/mtiem/mtime/
- tmpwatch --something shouldn't segfault 
  ( struct options should end with NULL ).

* Tue Oct 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.0

* Mon Jul 19 1999 Pawe³ Jab³oñski <pj@linux-mandrake.com>
- added pl locale
- added /var/catman/$LANG/cat?
- fixed build error - remove -s from Makefile (in install  tmpwatch.1)

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Wed Feb 10 1999 Preston Brown <pbrown@redhat.com>
- made tmpwatch clean up man pages formatted by root as well. Added missing
  formatted man page dirs (bugzilla #224)

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Jun 10 1998 Erik Troan <ewt@redhat.com>
- make /etc/cron.daily/tmpwatch executable

* Tue Jan 13 1998 Erik Troan <ewt@redhat.com>
- version 1.5
- fixed flags passing
- cleaned up message()

* Wed Oct 22 1997 Erik Troan <ewt@redhat.com>
- added man page to package
- uses a buildroot and %%attr
- fixed error message generation for directories
- fixed flag propagation

* Mon Mar 24 1997 Erik Troan <ewt@redhat.com>
- Don't follow symlinks which are specified on the command line
- Added a man page

* Sun Mar 09 1997 Erik Troan <ewt@redhat.com>
- Rebuilt to get right permissions on the Alpha (though I have no idea
  how they ended up wrong).
